co.aikar.commands.contexts

## Class CommandResultSupplier

- java.lang.Object
- - co.aikar.commands.contexts.CommandResultSupplier

All Implemented Interfaces:
  Consumer<org.spongepowered.api.command.CommandResult>

    public class CommandResultSupplier
    extends Object
    implements Consumer<org.spongepowered.api.command.CommandResult>

### Constructor Summary

Constructors
Constructor and Description
`CommandResultSupplier()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `accept(org.spongepowered.api.command.CommandResult commandResult)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Consumer

`andThen`

### Constructor Detail

#### CommandResultSupplier

    public CommandResultSupplier()

### Method Detail

#### accept

    public void accept(org.spongepowered.api.command.CommandResult commandResult)

Specified by:
  `accept` in interface `Consumer<org.spongepowered.api.command.CommandResult>`